# std::swap(std::basic_syncbuf)

From cppreference.com
< cpp‎ | io‎ | basic syncbuf

template< class CharT, class Traits, class Allocator > void swap( std::basic_syncbuf <CharT, Traits, Allocator>& lhs, std::basic_syncbuf <CharT, Traits, Allocator>& rhs ) noexcept; |  | (since C++20)

Overloads the std::swap algorithm for std::basic_syncbuf. Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | std::basic_syncbuf objects whose states to swap

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps two basic_syncbuf objects (public member function)
swap | swaps the values of two objects (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_syncbuf/swap2&oldid=105222"